Bug 967296 - [vdsm] AttributeError: 'MountConnection' object has no attribute '_mountCon' during connectStorageServer with NFS options
[vdsm] AttributeError: 'MountConnection' object has no attribute '_mountCon' ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Ayal Baron
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 08:08 EDT by Elad
Modified: 2016-02-10 15:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 04:50:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (434.94 KB, application/x-gzip)
2013-05-26 08:08 EDT, Elad
no flags Details
vdsm.log(1) (729.29 KB, application/x-xz)
2013-06-06 10:05 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-05-26 08:08:42 EDT
Created attachment 753304 [details]
vdsm.log

Description of problem:
During connectStorageServer with specified NFS options, vdsm throws:

Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 2303, in connectStorageServer
    doms = self.__prefetchDomains(domType, conObj)
  File "/usr/share/vdsm/storage/hsm.py", line 2236, in __prefetchDomains
    lPath = conObj._mountCon._getLocalPath()
AttributeError: 'MountConnection' object has no attribute '_mountCon'


Version-Release number of selected component (if applicable):
vdsm-4.10.2-21.0.el6ev.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create NFS storage domain with NFS options


Actual results:
vdsm:
AttributeError: 'MountConnection' object has no attribute '_mountCon'
*can not say for sure the effect on user experience


Expected results:
connectStorageServer should succeed without the AttributeError

Additional info: logs
Comment 2 Ayal Baron 2013-05-26 17:02:29 EDT
connectStorageServer succeeds so there isn't any real problem here.
In addition prefetch domains succeeds so even less of an issue

Thread-48::INFO::2013-05-26 13:58:46,986::logUtils::42::dispatcher::(wrapper) Run and protect: connectStorageServer, Return response: {'statuslist': [{'status': 0, 'id': '2ee10
165-7887-4d5b-9675-f3a8b4b55e1b'}, {'status': 0, 'id': 'b8f70358-c4bf-4239-b237-2a115ce50c94'}, {'status': 0, 'id': '951ca26c-8e6e-4339-98fd-47ce206e8adc'}, {'status': 0, 'id':
 'ac7d5d22-f3c8-46c8-af6b-cc8f3d839628'}, {'status': 0, 'id': '225da967-4d5c-4ecc-998a-d6722852fba7'}, {'status': 0, 'id': 'd12e3285-342a-467f-a401-ed1fd3adea08'}, {'status': 0
, 'id': '48c6618f-0e05-4f07-8e1e-328964ab7b0d'}, {'status': 0, 'id': '8414be6f-cc55-48b2-b71e-5a4281cf5826'}]}
Comment 3 Elad 2013-06-06 10:05:57 EDT
Created attachment 757697 [details]
vdsm.log(1)

seems to happen only when mounting with nfs values in vdsm.conf :

[irs]
nfs_mount_options = vers=3

attached vdsm.log(1)
Comment 4 Eduardo Warszawski 2013-06-09 07:19:42 EDT
When mounting a nfs with parameters, the posix logic may be used but only when not a specific set of parameters is used.

In addition, the parameters in the conf file may be not honoured.
Comment 6 Elad 2014-03-11 09:19:40 EDT
I don't understand why this bug was closed.
Allon, can you take a look?
Comment 7 Allon Mureinik 2014-03-12 09:51:29 EDT
(In reply to Elad from comment #6)
> I don't understand why this bug was closed.
> Allon, can you take a look?
IIUC, the claim is that a bug that reproduces only be manually tweaking vdsm.conf is not an interesting usecase.
If you disagree with this assessment, please elaborate on the usecase.

Note You need to log in before you can comment on or make changes to this bug.